/bin/mkdir -p "@@dir_bin@@"
if ( ! -e "@@dir_bin@@/obuild_platform" ) then
  if ( ! -e "@@dir_package@@/obuild/cpp/obuild_platform.cpp" ) then
    echo "Program source obuild_platform.cpp not found."
    exit
  endif
  if ( $?obuild_cxx_command ) then
    if ( "${obuild_cxx_command}" == "" ) then
      if (  $?OBUILD_CXX ) then
        set obuild_platform_compiler=${OBUILD_CXX}
      else
        set obuild_platform_compiler=c++
      endif
    else
      set obuild_platform_compiler=${obuild_cxx_command}
    endif
  else
    set obuild_platform_compiler=c++
  endif
  ${obuild_platform_compiler} -o "@@dir_bin@@/obuild_platform" "@@dir_package@@/obuild/cpp/obuild_platform.cpp"
  unset obuild_platform_compiler
  if ( ! -e "@@dir_bin@@/obuild_platform" ) then
    echo "Program obuild_platform not found."
    exit
  endif
endif
set obuild_platform_exe="@@dir_bin@@/obuild_platform"
